"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
/**
 * Marks controller action to have a special access.
 * Authorization logic must be defined in routing-controllers settings.
 */
function Authorized(roleOrRoles) {
    return function (clsOrObject, method) {
        index_1.getMetadataArgsStorage().responseHandlers.push({
            type: "authorized",
            target: method ? clsOrObject.constructor : clsOrObject,
            method: method,
            value: roleOrRoles
        });
    };
}
exports.Authorized = Authorized;
//# sourceMappingURL=Authorized.js.map