"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
/**
 * Sets response Content-Type.
 * Must be applied on a controller action.
 */
function ContentType(contentType) {
    return function (object, methodName) {
        index_1.getMetadataArgsStorage().responseHandlers.push({
            type: "content-type",
            target: object.constructor,
            method: methodName,
            value: contentType
        });
    };
}
exports.ContentType = ContentType;
//# sourceMappingURL=ContentType.js.map