"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
/**
 * Used to set specific HTTP status code when result returned by a controller action is equal to undefined.
 * Must be applied on a controller action.
 */
function OnUndefined(codeOrError) {
    return function (object, methodName) {
        index_1.getMetadataArgsStorage().responseHandlers.push({
            type: "on-undefined",
            target: object.constructor,
            method: methodName,
            value: codeOrError
        });
    };
}
exports.OnUndefined = OnUndefined;
//# sourceMappingURL=OnUndefined.js.map