"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
/**
 * Specifies a given interceptor middleware or interceptor function to be used for controller or controller action.
 * Must be set to controller action or controller class.
 */
function UseInterceptor() {
    var interceptors = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        interceptors[_i] = arguments[_i];
    }
    return function (objectOrFunction, methodName) {
        interceptors.forEach(function (interceptor) {
            index_1.getMetadataArgsStorage().useInterceptors.push({
                interceptor: interceptor,
                target: methodName ? objectOrFunction.constructor : objectOrFunction,
                method: methodName,
            });
        });
    };
}
exports.UseInterceptor = UseInterceptor;
//# sourceMappingURL=UseInterceptor.js.map