"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var BadRequestError_1 = require("../http-error/BadRequestError");
/**
 * Thrown when parameter is required, but was missing in a user request.
 */
var ParamRequiredError = /** @class */ (function (_super) {
    __extends(ParamRequiredError, _super);
    function ParamRequiredError(action, param) {
        var _this = _super.call(this) || this;
        _this.name = "ParamRequiredError";
        Object.setPrototypeOf(_this, ParamRequiredError.prototype);
        var paramName;
        switch (param.type) {
            case "param":
                paramName = "Parameter \"" + param.name + "\" is";
                break;
            case "body":
                paramName = "Request body is";
                break;
            case "body-param":
                paramName = "Body parameter \"" + param.name + "\" is";
                break;
            case "query":
                paramName = "Query parameter \"" + param.name + "\" is";
                break;
            case "header":
                paramName = "Header \"" + param.name + "\" is";
                break;
            case "file":
                paramName = "Uploaded file \"" + param.name + "\" is";
                break;
            case "files":
                paramName = "Uploaded files \"" + param.name + "\" are";
                break;
            case "session":
                paramName = "Session is";
                break;
            case "cookie":
                paramName = "Cookie is";
                break;
            default:
                paramName = "Parameter is";
        }
        var uri = action.request.method + " " + action.request.url; // todo: check it it works in koa
        _this.message = paramName + " required for request on " + uri;
        return _this;
    }
    return ParamRequiredError;
}(BadRequestError_1.BadRequestError));
exports.ParamRequiredError = ParamRequiredError;
//# sourceMappingURL=ParamRequiredError.js.map