"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Runs given callback that returns promise for each item in the given collection in order.
 * Operations executed after each other, right after previous promise being resolved.
 */
function runInSequence(collection, callback) {
    var results = [];
    return collection.reduce(function (promise, item) {
        return promise.then(function () {
            return callback(item);
        }).then(function (result) {
            results.push(result);
        });
    }, Promise.resolve()).then(function () {
        return results;
    });
}
exports.runInSequence = runInSequence;
//# sourceMappingURL=runInSequence.js.map